package Math::DifferenceSet::Planar::Schema::Result::DatabaseVersion;

=head1 NAME

Math::DifferenceSet::Planar::Schema::Result::DatabaseVersion -
planar difference set space database backend result class definition.

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 VERSION

This documentation refers to version 1.002 of
Math::DifferenceSet::Planar::Schema::Result::DatabaseVersion.

=cut

our $VERSION = '1.002';

=head1 TABLE: C<database_version>

=cut

__PACKAGE__->table("database_version");

=head1 ACCESSORS

=head2 table_name

  data_type: 'varchar'
  is_nullable: 0

=head2 major

  data_type: 'integer'
  is_nullable: 0

=head2 minor

  data_type: 'integer'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "table_name",
  { data_type => "varchar", is_nullable => 0 },
  "major",
  { data_type => "integer", is_nullable => 0 },
  "minor",
  { data_type => "integer", is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</table_name>

=back

=cut

__PACKAGE__->set_primary_key("table_name");

1;

=head1 SEE ALSO

=over 4

=item *

L<Math::DifferenceSet::Planar::Schema> - schema class.

=item *

L<Math::DifferenceSet::Planar::Data> - higher level data interface.

=back

=head1 AUTHOR

Martin Becker, E<lt>becker-cpan-mp I<at> cozap.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (c) 2022-2024 by Martin Becker, Blaubeuren.

This library is free software; you can distribute it and/or modify it
under the terms of the Artistic License 2.0 (see the LICENSE file).

The licence grants freedom for related software development but does
not cover incorporating code or documentation into AI training material.
Please contact the copyright holder if you want to use the library whole
or in part for other purposes than stated in the licence.

=head1 DISCLAIMER OF WARRANTY

This library is distributed in the hope that it will be useful, but
without any warranty; without even the implied warranty of merchantability
or fitness for a particular purpose.

=cut
